SEQ(1)

NUME
seq - afișează o secvență de numere

SINOPSIS
seq [OPȚIUNE]... ULTIMUL
seq [OPȚIUNE]... PRIMUL ULTIMUL
seq [OPȚIUNE]... PRIMUL INCREMENTUL ULTIMUL

DESCRIERE

Afișează numerele de la PRIMUL la ULTIMUL, în pași de INCREMENTARE.

Argumentele obligatorii pentru opțiunile lungi sunt de asemenea obligatorii pentru opțiunile scurte.

-f, --format=FORMAT
    utilizează FORMAT în virgulă mobilă în stil printf

-s, --separator=ȘIR
    utilizează ȘIR pentru a separa numerele (implicit: \n)

-w, --equal-width
    egalează lățimea prin adăugarea de zerouri la început

--help
    afișează acest mesaj de ajutor și iese

--version
    afișează informațiile despre versiune și iese

Dacă PRIMUL sau INCREMENTUL este omis, valoarea implicită este 1. Adică, un INCREMENT omis are valoarea implicită 1 chiar dacă ULTIMUL este mai mic decât PRIMUL. Secvența de numere se termină atunci când suma dintre numărul curent și INCREMENT ar deveni mai mare decât ULTIMUL. PRIMUL, INCREMENTUL și ULTIMUL sunt interpretate ca valori în virgulă mobilă. INCREMENTUL este de obicei pozitiv dacă PRIMUL este mai mic decât ULTIMUL, iar INCREMENTUL este de obicei negativ dacă PRIMUL este mai mare decât ULTIMUL. INCREMENTUL nu trebuie să fie 0; niciunul dintre PRIMUL, INCREMENTUL și ULTIMUL nu poate fi NaN. FORMAT trebuie să fie adecvat pentru imprimarea unui argument de tip „double”; valoarea implicită este %.PRECf dacă PRIMUL, INCREMENTUL și ULTIMUL sunt toate numere zecimale cu virgulă fixă cu precizie maximă PREC, iar în caz contrar este %g.

AUTOR
Scris de Ulrich Drepper.

RAPORTAREA ERORILOR
Ajutor online GNU coreutils: <https://www.gnu.org/software/coreutils/>
Raportați orice erori de traducere la: <https://translationproject.org/team/ro.html>

DREPTURI DE AUTOR
Drepturi de autor © 2025 Free Software Foundation, Inc. Licența GPLv3+: GNU GPL versiunea 3 sau ulterioară <https://gnu.org/licenses/gpl.html>.
Acesta este software liber: sunteți liber să-l modificați și să-l redistribuiți. Nu există NICIO GARANȚIE, în limitele prevăzute de lege.

CONSULTAȚI ȘI
Documentația completă este disponibilă la <https://www.gnu.org/software/coreutils/seq>
sau local rulând comanda: «info '(coreutils) seq invocation'»

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.